Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt
Class IllegalComponentStateException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--java.lang.IllegalStateException
                              |
                              +--java.awt.IllegalComponentStateException

All Implemented Interfaces:
  Serializable

public class IllegalComponentStateException
extends IllegalStateException

Signals that an AWT component is not in an appropriate state for the requested operation.

See Also:
  Serialized Form

Constructor Summary
`IllegalComponentStateException()` Constructs an IllegalComponentStateException with no detail message.
`IllegalComponentStateException(String s)` Constructs an IllegalComponentStateException with the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IllegalComponentStateException

    public IllegalComponentStateException()

  Constructs an IllegalComponentStateException with no detail message. A detail message is a String that describes this particular exception.

### IllegalComponentStateException

    public IllegalComponentStateException(String s)

  Constructs an IllegalComponentStateException with the specified detail message. A detail message is a String that describes this particular exception.
  Parameters:
    `s` - the String that contains a detailed message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.